Bug 187819 - [PATCH] deskutils/FBReader: update to 0.99.6
Summary: [PATCH] deskutils/FBReader: update to 0.99.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Johannes Jost Meixner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-21 15:40 UTC by Johannes Meixner
Modified: 2015-03-03 15:19 UTC (History)
1 user (show)

See Also:


Attachments
FBReader-0.99.6.patch (10.45 KB, patch)
2014-03-21 15:40 UTC, Johannes Meixner
no flags Details | Diff
updated patch that applies (7.07 KB, patch)
2015-03-01 21:08 UTC, Johannes Jost Meixner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Meixner 2014-03-21 15:40:00 UTC
- Update to 0.99.6
- Change master-site to github as the release there is newer
- Make the UI choice a single option, with Qt4 as default to main backwards
  compat.
- Set PORTNAME to uppercase to match binaries and datadir

Port maintainer (fluffy@FreeBSD.org) is cc'd.

portlint: 0 fatal errors and 2 warnings found.
port test: ok
testport: ok
redports: https://redports.org/buildarchive/20140321150600-42877/

Generated with FreeBSD Port Tools 1.00.2014.03.12 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-21 15:40:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fluffy

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Johannes Jost Meixner freebsd_committer 2014-04-19 19:51:31 UTC
Responsible Changed
From-To: fluffy->xmj

I'll take it (maintainer timeout)
Comment 3 Johannes Jost Meixner freebsd_committer 2015-03-01 21:08:18 UTC
Created attachment 153648 [details]
updated patch that applies

Patch attach actually applies, uses options helpers and builds either QT4/GTK2 engines on demand. Tested on 11.0-CURRENT.
Comment 4 commit-hook freebsd_committer 2015-03-03 13:00:23 UTC
A commit references this bug:

Author: xmj
Date: Tue Mar  3 12:59:43 UTC 2015
New revision: 380359
URL: https://svnweb.freebsd.org/changeset/ports/380359

Log:
  deskutils/fbreader: upgrade to 0.99.6

  - upgrade to 0.99.6
  - use GitHub as MASTER_SITE
  - use Options helpers

  PR:		187819
  Differential Revision:	https://reviews.freebsd.org/D1996
  Submitted by:	myself
  Approved by:	maintainer timeout (50 weeks)
  Approved by:	koobs (mentor)

Changes:
  head/deskutils/fbreader/Makefile
  head/deskutils/fbreader/distinfo
  head/deskutils/fbreader/pkg-plist